### Method

# AppStreamCompose Result get_hints

#### Declaration [src]

    GPtrArray*
    asc_result_get_hints (
      AscResult* result,
      const gchar* cid
    )

#### Description [src]

Gets hints for a component with the given component-id.

#### Parameters

`cid`

  Type: `const gchar*`

  Component ID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `AscHint*`

An array of `AscHint` or `NULL`.

The returned data is owned by the instance.